%define		intname php
Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		php5
Version:	5.2.6
Release:	1
Summary:	PHP: Hypertext Preprocessor
URL:		http://www.php.net/
Group:		Development/PHP
License:	PHP
Source0:	%{intname}-%{version}.tar.bz2
Patch0:		suhosin-patch-%{version}-0.9.6.2.patch
BuildRoot:      %{_tmppath}/%{name}-buildroot
BuildRequires:	gcc sed flex bison mysql-devel libgd-devel libjpeg-devel
BuildRequires:	libpng-devel db-devel zlib-devel bzip2-devel openssl-devel
BuildRequires:	openldap-devel pcre-devel gettext-devel freetype-devel
BuildRequires:	expat-devel libxml2-devel libxslt-devel curl-devel
BuildRequires:	gdbm-devel net-snmp-devel unixODBC-devel httpd-devel
BuildRequires:	krb5-devel curl-devel t1lib-devel libmcrypto-devel
BuildRequires:	cyrus-sasl-devel
Requires:	sed httpd
Provides:	php
Conflicts:	php4
#Obsoletes:	php php4

# BuildRequires:	postgresql-devel
# Requires:	postgresql

%description
PHP is an HTML-embedded scripting language. Much of its syntax is
borrowed from C, Java and Perl with a couple of unique PHP-specific
features thrown in. The goal of the language is to allow web
developers to write dynamically generated pages quickly.

%package devel
Summary:        PHP development headers.
Group:          Development/PHP
Requires:       %{name} = %{version}-%{release}
Requires:	mysql-devel libgd-devel libjpeg-devel cyrus-sasl-devel
Requires:	libpng-devel db-devel zlib-devel bzip2-devel openssl-devel
Requires:	openldap-devel pcre-devel gettext-devel freetype-devel
Requires:	expat-devel libxml2-devel libxslt-devel curl-devel
Requires:	gdbm-devel net-snmp-devel unixODBC-devel httpd-devel
Requires:	krb5-devel curl-devel t1lib-devel libmcrypto-devel
Provides:	php-devel
Obsoletes:	php-devel
Conflicts:	php4-devel

%description devel
Header and include files for developing applications with PHP.

%package doc
Summary:        PHP Documentation.
Group:          Development/PHP
Requires:       %{name} = %{version}-%{release}
Provides:	php-doc
Obsoletes:	php-doc
Conflicts:	php4-doc

%description doc
PHP Documentation.


%post
sed -i "/LoadModule rewrite_module \/usr\/lib\/apache\/mod_rewrite.so/ a LoadModule php5_module /usr/lib/httpd/libphp5.so" /etc/httpd/conf/httpd.conf
sed -i "\#LoadModule php5_module /usr/lib/apache/libphp5.so# a AddType application/x-httpd-php .php" /etc/httpd/conf/httpd.conf
sed -i "\#AddType application/x-httpd-php .php# a AddType application/x-httpd-php-source .phps" /etc/httpd/conf/httpd.conf

%postun
sed -i "\#LoadModule php5_module /usr/lib/httpd/libphp5.so# d" /etc/httpd/conf/httpd.conf
sed -i "\#AddType application/x-httpd-php .php# d" /etc/httpd/conf/httpd.conf
sed -i "\#AddType application/x-httpd-php-source .phps# d" /etc/httpd/conf/httpd.conf

%prep
%setup -qn %{intname}-%{version}
%patch0 -p1

%build
./configure --prefix=%{_prefix} --sysconfdir=%{_sysconfdir}/php \
	--includedir=%_includedir \
	--mandir=%_mandir  \
        --with-config-file-path=%{_sysconfdir}/php \
        --enable-calendar \
        --with-mysql=%{_prefix} \
        --with-gd=%{_prefix} \
        --with-jpeg-dir=%{_prefix} \
        --with-png-dir=%{_prefix} \
        --enable-gd-imgstrttf \
        --enable-gd-native-ttf \
        --with-freetype-dir=%{_prefix} \
        --with-db4=%{_prefix} \
        --with-debug=no \
        --with-zlib=%{_prefix} \
        --with-zlib-dir=%{_prefix} \
        --with-bz2=%{_prefix} \
        --with-openssl=%{_prefix} \
        --with-ldap=%{_prefix} \
        --with-pcre=%{_prefix} \
        --enable-ftp \
        --with-gettext=%{_prefix} \
        --enable-xml \
        --with-expat-dir=%{_prefix} \
        --enable-bcmath \
        --with-curl=%{_prefix} \
        --with-gdbm=%{_prefix} \
        --enable-versioning \
        --with-snmp=%{_prefix} \
        --with-unixODBC=%{_prefix} \
        --with-exif \
        --with-apxs2 \
        --enable-cgi \
        --enable-cli \
        --enable-discard-path \
        --enable-track-vars \
        --enable-memory-limit
#        --with-pgsql=%{l_prefix} \
make

%install
rm -rf %{buildroot}
sed -i -e 's;\(^INSTALL_IT.*apxs.*\)-a\(.*-n.*\);\1 \2;' Makefile
make INSTALL_ROOT=%{buildroot} install
rm -rf %{buildroot}/.channels
rm -f %{buildroot}/.dep*
rm -f %{buildroot}/.filemap
rm -f %{buildroot}/.lock
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_libdir/php
%_bindir/pear
%_bindir/peardev
%_bindir/pecl
%_bindir/php
%_bindir/php-config
%_bindir/phpize
%_mandir/man1/php-config.1.gz
%_mandir/man1/php.1.gz
%_mandir/man1/phpize.1.gz
%_sysconfdir/php
%_libdir/httpd/modules/libphp5.so
%exclude %_libdir/php/doc

%files devel
%defattr(-,root,root)
%_includedir/php

%files doc
%defattr(-,root,root)
%_libdir/php/doc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon May 05 2008 Karsten Brockmann <arcam@ccux-linux.de> 5.2.6-1
- Version update
* Wed Feb 20 2008 Karsten Brockmann <arcam@ccux-linux.de> 5.2.5-2
- adapted apache requirement to httpd scheme
* Fri Nov 30 2007 Karsten Brockmann <arcam@ccux-linux.de> 5.2.5-1
- Version update
* Tue Nov 27 2007 Christian Metzen <metzench@ccux-linux.de> 5.2.4-3
- rebuild against net-snmp 5.4.1
* Wed Oct 31 2007 Christian Metzen <metzench@ccux-linux.de> 5.2.4-2
- rebuild against curl 7.17.7
* Mon Oct 08 2007 Karsten Brockmann <arcam@ccux-linux.de> 5.2.4-1
- Initial release
- forked from php4 package
